Factory.define :admin, :class => Admin do |admin|
  admin.sequence(:email) { |n| "admin#{n}@gmail.com"}
  admin.password "admin0100"
  admin.password_confirmation "admin0100"
  admin.approve 1
end

Factory.define :user_yas, :class => User do |user|
  user.sequence(:email) { |n| "hoge#{n}@gmail.com"}
  user.password "user0100"
  user.password_confirmation "user0100"
#  user.author Factory(:author_yas)
end

Factory.define :author, :class => Author do |author|
  author.name nil
  author.sequence(:user_id) { |n| n}
end

Factory.define :author_yas, :class => Author do |author|
  author.name 'yassan'
  author.sequence(:user_id) { |n| n}
#  author.association :user_yas
#  author.artist Factory(:artist_yas)
end

Factory.define :artist, :class => Artist do |artist|
  artist.sequence(:email) { |n| "hoge#{n}@gmail.com"}
  artist.name 'art'
#  artist.association :author_yas
end

Factory.define :artist_yas, :class => Artist do |artist|
  artist.sequence(:email) { |n| "hoge#{n}@gmail.com"}
  artist.name 'yas'
#  artist.association :author_yas
end

Factory.define :license, :class => License do |license|
  license.name 'peta2.5'
  license.url 'http://test.lc/'
  license.cc_by 0
  license.cc_sa 0
  license.cc_nd 0
  license.cc_nc 0
  license.no_resize 0
  license.no_flip 0
  license.no_convert 0
  license.keep_aspect_ratio 0
end

Factory.define :common_license, :class => CommonLicense do |license|
  license.license_id 0
  license.name 'peta2.1'
  license.url 'http://test.lc/'
  license.cc_by 0
  license.cc_sa 0
  license.cc_nd 0
  license.cc_nc 0
  license.no_resize 0
  license.no_flip 0
  license.no_convert 0
  license.keep_aspect_ratio 0
end

Factory.define :original_license, :class => OriginalLicense do |license|
  license.license_id 0
  license.name 'peta2.1'
  license.url 'http://test.olc/'
  license.cc_by 0
  license.cc_sa 0
  license.cc_nd 0
  license.cc_nc 0
  license.no_resize 0
  license.no_flip 0
  license.no_convert 0
  license.keep_aspect_ratio 0
end

Factory.define :comic, :class => Comic do |comic|
  comic.title "comic"
  comic.width 100
  comic.height 10
  comic.visible 3
  comic.editable 3
end

Factory.define :normal_comic, :class => Comic do |comic|
  comic.title "normal_comic"
  comic.width 100
  comic.height 10
  comic.visible 3
  comic.editable 0
end

Factory.define :visible_comic, :class => Comic do |comic|
  comic.title "visible_comic"
  comic.width 100
  comic.height 10
  comic.visible 3
  comic.editable 0
end

Factory.define :editable_comic, :class => Comic do |comic|
  comic.title "editable_comic"
  comic.width 100
  comic.height 10
  comic.visible 3
  comic.editable 3
end

Factory.define :hidden_comic, :class => Comic do |comic|
  comic.title "hidden_comic"
  comic.width 100
  comic.height 10
  comic.visible 0
  comic.editable 0
end

Factory.define :original_picture, :class => OriginalPicture do |op|
  op.ext 'png'
  op.width 222
  op.height 111
  op.filesize 100000
  op.artist_id 1
  op.license_id 1
end

Factory.define :resource_picture, :class => ResourcePicture do |rp|
  rp.ext 'png'
  rp.width 222
  rp.height 111
  rp.filesize 100000
  rp.artist_id 1
  rp.license_id 1
  rp.original_picture_id 1
end

Factory.define :system_picture, :class => SystemPicture do |sp|
  sp.ext 'png'
  sp.width 222
  sp.height 111
  sp.filesize 100000
  sp.md5 '098f6bcd4621d373cade4e832627b4f6'
end

Factory.define :speech_balloon_template, :class => SpeechBalloonTemplate do |sbt|
  sbt.name 'Plain@pettanr.com'
  sbt.classname 'Plain'
  sbt.caption 'normal fuki'
  sbt.t 0
  sbt.settings '{}'
end

Factory.define :speech_balloon, :class => SpeechBalloon do |sb|
  sb.panel_id 1
  sb.speech_balloon_template_id 1
  sb.classname 'Plain'
  sb.z 1
  sb.t 0
  sb.settings '{}'
end

Factory.define :balloon, :class => Balloon do |balloon|
  balloon.speech_balloon_id 1
  balloon.system_picture_id 1 
  balloon.x 100
  balloon.y 200
  balloon.width 222 
  balloon.height 333 
  balloon.caption 'test pict'
  balloon.settings nil
end

Factory.define :speech, :class => Speech do |speech|
  speech.speech_balloon_id 1
  speech.content 'test'
  speech.x 10
  speech.y 100
  speech.width 200
  speech.height 190
  speech.settings nil
end

Factory.define :panel_picture, :class => PanelPicture do |pp|
  pp.panel_id 1
  pp.resource_picture_id 1
  pp.link ''
  pp.x 111
  pp.y 200
  pp.z 1
  pp.t 0
  pp.width 100
  pp.height 300
end

Factory.define :panel, :class => Panel do |panel|
  panel.comic_id 1
  panel.border 1
  panel.x nil
  panel.y nil
  panel.z nil
  panel.t 0
  panel.width 100
  panel.height 300
  panel.author_id 1
end

